import 'dart:io';

import 'package:gmo_cli/core/generator.dart';
import 'package:gmo_cli/exception_handler/exception_handler.dart';
import 'package:gmo_cli/functions/version/version_update.dart';

Future<void> main(List<String> arguments) async {
  // print(arguments);
  print(Directory.current.path);
  // stdout.write('Enter your project name: ');
  // final projectName = stdin.readLineSync();

  // var shell = Shell();
  // final createProjectWithName = 'get create project:$projectName';
  // print('Run "$createProjectWithName"');
  // await shell.run(createProjectWithName);
  final command = GmoCli(arguments).findCommand();

  if (arguments.contains('--debug')) {
    if (command.validate()) {
      // await command.execute().then((value) => checkForUpdate());
    }
  } else {
    try {
      if (command.validate()) {
        await command.execute().then((value) => checkForUpdate());
      }
    } on Exception catch (e) {
      ExceptionHandler().handle(e);
    }
  }

  print(command);
}
